models
Post modelsintegrations predict
POST
/
models
/
integrations
/
{integration_uid}
/
predict
/
cURL
curl --request POST \
--url https://api.avala.ai/api/v1/models/integrations/{integration_uid}/predict/ \
--header 'Content-Type: application/json' \
--header 'X-Avala-Api-Key: <api-key>' \
--data '
[
{
"dataset_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_item_uids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
]
'import requests
url = "https://api.avala.ai/api/v1/models/integrations/{integration_uid}/predict/"
payload = [
{
"dataset_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_item_uids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
]
headers = {
"X-Avala-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Avala-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
dataset_uid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
dataset_item_uids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
}
])
};
fetch('https://api.avala.ai/api/v1/models/integrations/{integration_uid}/predict/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_status": "<string>",
"type": "<string>",
"integration_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset": [
{
"dataset_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_item_uids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Authorizations
API_KeyJWT
API key for authentication. Generate one in Mission Control Settings > Security & Identity.
Path Parameters
Was this page helpful?
⌘I
cURL
